Name:           deutex
Version:        4.4.0
Release:        2%{?dist}
Summary:        DOOM wad file manipulator

Group:          Amusements/Graphics
License:        GPL-Compatible
URL:            http://www.teaser.fr/~amajorel/deutex/
Source0:        http://www.teaser.fr/~amajorel/deutex/deutex-4.4.0.tar.gz
Patch0:         deutex-4.4.0-build.patch
Patch1:         deutex-4.4.0-64bit.patch
Patch2:         deutex-4.4.0-freedoom.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
DeuTex is a wad composer for Doom, Heretic, Hexen and Strife. It can be
used to extract the lumps of a wad and save them as individual files.
Conversely, it can also build a wad from separate files. When extracting
a lump to a file, it does not just copy the raw data, it converts it to
an appropriate format (such as PPM for graphics, Sun audio for samples,
etc.). Conversely, when it reads files for inclusion in pwads, it does
the necessary conversions (for example, from PPM to Doom picture
format). In addition, DeuTex has functions such as merging wads, etc. If
you're doing any wad hacking beyond level editing, DeuTex is a must.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
# Minor permissions cleanup for rpmlint.
chmod a-x src/picture.c


%build
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}
iconv --from=ISO-8859-1 --to=UTF-8 deutex.6 > deutex.6.new
mv deutex.6.new deutex.6



%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/deutex
%{_bindir}/deusf
%{_mandir}/man6/*
%doc COPYING COPYING.LIB LICENSE CHANGES README
%doc docsrc/changes.html docsrc/hackers_guide.html


%changelog
* Sun Apr 20 2006 Wart <wart at kobold.org> 4.4.0-2
- Add freedoom to the list of known iwads.

* Sun Mar 19 2006 Wart <wart at kobold.org> 4.4.0-1
- Initial spec file.
